#include <bits/stdc++.h>

using namespace std;

void zameniint(int &a,int &b)
{
    int c;
    c=a;
    a=b;
    b=c;
    return ;
}

void zamenidouble(double &a,double &b)
{
    double c;
    c=a;
    a=b;
    b=c;
    return ;
}

void quicksort(double a[],int p,int k,int b[])
{
    int ind=0,i=k,s=p;
    while(i!=s)
    {
        if(ind==0)
        {
            while((i>s)&&(a[i]>=a[s]))
                i--;
            if(i!=s)
            {
                zamenidouble(a[i],a[s]);
                zameniint(b[i],b[s]);
                zameniint(i,s);
            }
            ind=1;
        }
        else
        {
            while((i<s)&&(a[i]<=a[s]))
                i++;
            if(i!=s)
            {
                zamenidouble(a[i],a[s]);
                zameniint(b[i],b[s]);
                zameniint(i,s);
            }
            ind=0;
        }
    }
    if(s>p)
        quicksort(a,p,s-1,b);
    if(s<k)
        quicksort(a,s+1,k,b);
    return ;
}

int main()
{
    int n;
    cin>>n;
    double procenti[n];
    int plate[n];
    for(int i=0;i<n;i++)
        cin>>plate[i]>>procenti[i];
    quicksort(procenti,0,n-1,plate);
    long long suma=0;
    double maks=0.0,makstek;
    for(int i=n-1;i>=0;i--)
    {
        suma+=plate[i];
        makstek=suma*(procenti[i]/100);
        if(makstek>maks)
            maks=makstek;
    }
    cout<<fixed<<setprecision(5)<<maks;
}